<?php
/**
 * The front page template file
 *
 * If the user has selected a static page for their homepage, this is what will
 * appear.
 * Learn more: https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Biuro
 * @since 1.0
 * @version 1.0
 */

    get_header();
?>

<div class="l-section l-section--front-page">
    <div class="l-section--inner">
<?php
        while ( have_posts() ) :
?>
        <div class="c-heading c-heading--front-page">
<?php
            the_post();
            the_content();
?>
        </div>
<?php
        endwhile;
        get_search_form();
?>
    </div>
</div>


<div id="content">
    <main id="main" class="l-main">

        <div class="c-jobs">
            <div class="c-jobs--inner">

                <h2 class="c-jobs--headline"><?php _e('Recent job ads', 'biuro'); ?></h2>

        <?php
            // Use for search
            // https://pods.io/docs/code/pods/find/

            $where = 'valid.meta_value > "' . date('Y-m-d', strtotime('-1 days')) . '"';

            $params = array(
                'orderby' => 'date DESC',
                'where' => $where,
                'limit'   => 5
            );

            $jobs = pods( 'job', $params );

            if ( 0 < $jobs->total() ):
                get_template_part( 'template-parts/jobs/jobs', 'list' );
            else:
                get_template_part( 'template-parts/jobs/jobs', 'none' );
            endif;

            global $positionsPage;

            if ($positionsPage):
?>
                <div class="c-jobs--more">
                    <a href="<?php echo $positionsPage; ?>" class="o-btn c-btn--alt"><?php _e('More job ads', 'biuro'); ?></a>
                </div>
<?php
            endif;
?>
            </div><!-- .c-jobs--inner -->
        </div><!-- .c-jobs -->

<?php
            include 'template-parts/trust.php';
?>

<?php
            if ( is_active_sidebar( 'front_page_feedbacks' ) ) :
                dynamic_sidebar( 'front_page_feedbacks' );
            endif;
?>

<?php
            if ( is_active_sidebar( 'front_page_values' ) ) :
                dynamic_sidebar( 'front_page_values' );
            endif;
?>

        <div class="c-contact">
            <div class="c-contact--inner">

                <div class="c-contact--content">
                <?php
                    if ( is_active_sidebar( 'front_page_employees' ) ) :
                        dynamic_sidebar( 'front_page_employees' );
                    endif;
                 ?>
                    <div class="c-contact--img">
                        <picture>
                            <source srcset="/wp-content/themes/biuro/i/contact.webp" type="image/webp">
                            <img src="/wp-content/themes/biuro/i/contact.png" alt="" width="328" height="95">
                        </picture>
                    </div>
                </div>

                <div class="c-contact--form">
        <?php
                        echo do_shortcode('[biuro-contacts--employees]');
        ?>
                </div>

            </div><!-- .c-contact--inner -->
        </div><!-- .c-contact -->

    </main><!-- .l-main -->
</div><!-- #content -->

<?php get_footer();
