<?php
    // global $time_start;
    // $time_start = microtime(true);
    // delog((microtime(true) - $time_start), 'Lorem ipsum');
 ?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title><?php wp_title(''); ?> | Biuro</title>
    <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
    <link rel="manifest" href="/site.webmanifest">
    <link rel="mask-icon" href="/safari-pinned-tab.svg" color="#006957">
    <meta name="msapplication-TileColor" content="#ffffff">
    <meta name="theme-color" content="#ffffff">

    <meta name="google-site-verification" content="Xlpzg6WVpXXrivwjXrOaEzjxZQcPP2x0oCoUizYyCDM" />

    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php
    if (is_search() || get_post_type() == 'page'):
        get_template_part( 'template-parts/meta/canonical');
    endif;
?>

    <link rel="preload" as="font" type="font/woff2" href="/wp-content/themes/biuro/fonts/roboto-v19-cyrillic_latin_cyrillic-ext_latin-ext-500.woff2" crossorigin="anonymous" >
    <link rel="preload" as="font" type="font/woff2" href="/wp-content/themes/biuro/fonts/roboto-v19-cyrillic_latin_cyrillic-ext_latin-ext-regular.woff2" crossorigin="anonymous" >

    <style><?php include 'css/core-38a448fde0.min.css'; ?></style>

    <link rel="preload" as="font" type="font/woff2" href="/wp-content/themes/biuro/fonts/roboto-v19-cyrillic_latin_cyrillic-ext_latin-ext-300.woff2" crossorigin="anonymous" >
    <link rel="preload" as="font" type="font/woff2" href="/wp-content/themes/biuro/fonts/roboto-v19-cyrillic_latin_cyrillic-ext_latin-ext-700.woff2" crossorigin="anonymous" >

    <link rel="preload" href="/wp-content/themes/biuro/css/main-780377ec27.min.css" as="style" onload="this.rel='stylesheet'">

    <noscript>
        <link rel="stylesheet" href="/wp-content/themes/biuro/css/main-780377ec27.min.css">
    </noscript>

    <?php wp_head(); ?>
</head>
<body>
    <?php include 'template-parts/svg/icons.php';  ?>

    <header class="l-header">
        <div class="l-inner l-inner--header">

            <a href="<?php echo pll_home_url(); ?>" class="c-logo" title="<?php echo get_the_title( get_option('page_on_front') ); ?>">
                <svg width="82px" height="49px" class="c-logo--svg">
                    <use xlink:href="#biuro-logo"></use>
                </svg>
            </a>

            <span class="js-toggle--nav l-nav--open">
                <svg width="32px" height="16px" viewBox="0 0 32 16" xmlns="http://www.w3.org/2000/svg">
                    <g id="Symbols" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                        <g id="burger" transform="translate(-279.000000, -27.000000)" fill="#2A3644" fill-rule="nonzero">
                            <g>
                                <g transform="translate(279.000000, 27.000000)">
                                    <rect id="Rectangle" x="0" y="0" width="32" height="2"></rect>
                                    <rect id="Rectangle-Copy" x="9" y="7" width="23" height="2"></rect>
                                    <rect id="Rectangle-Copy-2" x="0" y="14" width="32" height="2"></rect>
                                </g>
                            </g>
                        </g>
                    </g>
                </svg>
            </span>

            <div class="l-nav--wrap">
                <nav class="l-nav">
    <?php
                    get_template_part( 'template-parts/menus/menu', 'main' );
    ?>
                </nav>
                <a href="tel:+37064902392" class="c-phone">
                    <svg xmlns="http://www.w3.org/2000/svg" width="21px" height="22px" viewBox="0 0 21 22">
                        <path class="u-fill--inherit" d="M20.0073662,1.61350199 C20.5897947,1.74475969 20.9999499,2.26157937 20.9999499,2.86039004 C20.9999499,13.2496151 12.5794702,21.6249937 2.23534623,21.6249937 C1.63653556,21.6249937 1.11971588,21.2148385 0.984372653,20.6283244 L0.0328044109,16.4980528 C-0.106624349,15.8951166 0.205077636,15.2798837 0.775209486,15.0337905 L5.2212686,13.1265685 C5.74217381,12.9009831 6.35740672,13.0527486 6.71833535,13.4916227 L8.52714413,15.7023356 C11.3695122,14.3078077 13.6786783,11.994556 15.0732063,9.15627347 L12.8624533,7.34750474 C12.4236192,6.98653606 12.2718538,6.37130315 12.4974392,5.850438 L14.4046612,1.4002533 C14.6507543,0.830121445 15.2700728,0.51841946 15.873009,0.65784822 L20.0073662,1.61350199 Z M2.25993953,20.3124969 C11.8780807,20.3002002 19.6751564,12.5072501 19.6833675,2.88910892 L15.598197,1.9457518 L13.7114827,6.35079539 L16.6974051,8.79121926 C14.7122776,13.0240297 12.4112825,15.3331958 8.16208992,17.3265745 L5.72166605,14.3406521 L1.3165824,16.2273664 L2.25993953,20.3124969 Z"></path>
                    </svg> +370 649 02392
                </a>
    <?php

            global $post;

            if ( get_post_meta( $post->ID, 'section', true) == 'employers'):
                $contactsPage = new WP_Query( array(
                    'numberposts'   => 1,
                    'post_type'     => 'page',
                    'meta_key'      => 'page',
                    'meta_value'    => 'employers-contacts'
                ) );

                if ( $contactsPage->have_posts() ) :
                    while( $contactsPage->have_posts() ) :
                        $contactsPage->the_post();
                ?>
                        <a href="<?php echo get_the_permalink(); ?>?#action" class="o-btn c-btn--main c-btn--header"><?php _e('Get an offer', 'biuro'); ?></a>
                <?php
                    endwhile;
                endif;
                wp_reset_query();

            else:
                $contactsPage = new WP_Query( array(
                    'numberposts'   => 1,
                    'post_type'     => 'page',
                    'meta_key'      => 'page',
                    'meta_value'    => 'employees-contacts'
                ) );

                if ( $contactsPage->have_posts() ) :
                    while( $contactsPage->have_posts() ) :
                        $contactsPage->the_post();
                ?>
                        <a href="<?php echo get_the_permalink(); ?>?#action" class="o-btn c-btn--main c-btn--header"><?php _e('Get a job offer', 'biuro'); ?></a>
                <?php
                    endwhile;
                endif;
                wp_reset_query();

            endif;
     ?>
                <div class="c-nav--lang-wrap">
    <?php
                get_template_part( 'template-parts/menus/menu', 'language' );
    ?>
                </div><!-- .c-nav--lang-wrap -->

                <span class="js-toggle--nav l-nav--close">
                    <svg width="13px" height="13px" viewBox="0 0 13 13" xmlns="http://www.w3.org/2000/svg">
                        <g id="FINAL@" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd" stroke-linecap="square">
                            <g id="DUK" transform="translate(-233.000000, -657.000000)" fill-rule="nonzero" stroke="#ffffff" stroke-width="2">
                                <g id="Group-" transform="translate(202.000000, 624.000000)">
                                    <g id="Group" transform="translate(26.000000, 28.000000)">
                                        <path  d="M11.5,11.5 L11.5,3.5 L11.5,11.5 L3.5,11.5 L11.5,11.5 Z M11.5,11.5 L11.5,19.5 L11.5,11.5 L19.5,11.5 L11.5,11.5 Z" id="Combined-Shape" transform="translate(11.500000, 11.500000) rotate(-45.000000) translate(-11.500000, -11.500000) "></path>
                                    </g>
                                </g>
                            </g>
                        </g>
                    </svg>
                </span>

            </div><!-- .l-nav--wrap -->
        </div>
    </header>
