<?php
/**
 * Template part for displaying a list of jobs
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Biuro
 * @since 1.0.0
 */

global $jobs;
$date_format = get_option( 'date_format' );

?>

    <table cellspacing="0" cellpadding="0" class="c-jobs--table">
    <?php
        while ( $jobs->fetch() ) :
            $ID =  $jobs->display( 'ID' );
            $name = $jobs->display( 'name' );

?>
        <tr>
            <td class="c-jobs--col c-jobs--col-position">
                <a class="c-jobs--anchor" href="<?php echo get_post_permalink( $ID ); ?>" title="<?php echo $name; ?>"><?php echo $name; ?></a>
            </td>
            <td class="c-jobs--col c-jobs--col-city">
<?php
                $cities = $jobs->field( 'city');
                $count = 0;

                //Primary city id
                $primaryCities = get_post_meta($ID, '_yoast_wpseo_primary_city');

                //Sort by primary city (put it first)
                if (is_array($cities)):
                    uasort($cities, function($a, $b) use ($primaryCities) {
                        if (count($primaryCities) == 0) :
                            return 0;
                        endif;

                        if ($a['term_id'] == $primaryCities[0]) :
                            return -1;
                        endif;

                        return 1;
                    });

                    foreach($cities as $city):
                        if ($count):
                            echo  ', ';
                        endif;

                        echo $city['name'];

                        $count++;
                    endforeach;
                else:
?>              &nbsp;
<?php
                endif;
?>
            </td>
            <td class="c-jobs--col c-jobs--col-valid">
                <?php echo date_i18n( $date_format, strtotime( $jobs->field( 'valid' ) ) ); ?>
            </td>
        </tr>

<?php
        endwhile;
?>
    </table>

<?php

    if ( !is_front_page() ):
        echo $jobs->pagination( array(
            'type' => 'paginate' ,
            'prev_text' => ' ',
            'next_text' => ' '
        ) );
    endif;

?>
